> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # Create Collection ## OpenAPI ````yaml https://video.bunnycdn.com/openapi/bunnynet-video-api.public.json post /library/{libraryId}/collections openapi: 3.0.0 info: title: Stream API termsOfService: https://bunny.net/tos contact: name: bunny.net url: https://docs.bunny.net email: support@bunny.net version: 1.6.21 servers: - url: https://video.bunnycdn.com security: [] tags: - name: Manage Collections - name: Encoding Statistics - name: Manage Videos paths: /library/{libraryId}/collections: post: tags: - Manage Collections summary: Create Collection operationId: Collection_CreateCollection parameters: - name: libraryId in: path required: true description: The ID of the video library. schema: type: integer format: int64 x-position: 1 requestBody: x-name: model content: application/json: schema: $ref: '#/components/schemas/UpdateCollectionModel' required: true x-position: 2 responses: '200': description: The collection was successfully created content: application/json: schema: $ref: '#/components/schemas/CollectionModel' '400': description: The collection name was missing or longer than 255 characters content: application/json: schema: $ref: '#/components/schemas/StatusModel' '401': description: The request authentication failed content: application/json: schema: $ref: '#/components/schemas/StatusModel' '403': description: The request authorization failed content: application/json: schema: $ref: '#/components/schemas/StatusModel' '500': description: Internal Server Error security: - AccessKey: [] components: schemas: UpdateCollectionModel: type: object additionalProperties: false properties: name: type: string description: >- The name to assign to the collection. Required, up to 255 characters. nullable: true CollectionModel: type: object additionalProperties: false properties: videoLibraryId: type: integer description: The video library ID that contains the collection format: int64 guid: type: string description: The unique ID of the collection nullable: true name: type: string description: The name of the collection nullable: true videoCount: type: integer description: >- The number of on-demand videos in the collection. Live streams in the collection are not included in this count. format: int64 liveStreamCount: type: integer description: >- The number of live streams in the collection. On-demand videos are not included in this count. format: int64 totalSize: type: integer description: The total storage size of all videos in the collection, in bytes. format: int64 previewVideoIds: type: string description: >- Comma-separated list of video GUIDs used as preview thumbnails for the collection. nullable: true previewImageUrls: type: array description: The URLs of preview images of videos in the collection nullable: true items: type: string StatusModel: type: object additionalProperties: false properties: success: type: boolean description: Determines if the request was successful message: type: string description: >- Human-readable message describing the result, typically populated with error details when Success is false. nullable: true statusCode: type: integer description: The HTTP status code corresponding to the result of the request. format: int32 securitySchemes: AccessKey: type: apiKey description: AccessKey based authentication name: AccessKey in: header ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.